Exception::getFile
Exception::getTrace
Exception
PHP Manual

# Exception::getLine

(PHP 5 >= 5.1.0)

Exception::getLine — Gets the line in which the exception occurred

### Description

final public string Exception::getLine ( void )

Returns line number where the exception was thrown.

### Parameters

This function has no parameters.

### Return Values

Returns the line number where the exception was thrown.

### Examples

Example #1 Exception::getLine() example

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo "The exception was thrown on line: " . $e->getLine();
}
?>`

The above example will output something similar to:

    The exception was thrown on line: 3

Exception::getFile
Exception::getTrace
Exception
PHP Manual